"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useMongoDb = void 0;
const core_1 = require("@furystack/core");
const mongo_client_factory_1 = require("./mongo-client-factory");
const mongodb_store_1 = require("./mongodb-store");
const useMongoDb = ({ injector, model, primaryKey, db, collection, url, options, }) => {
    const clientFactory = injector.getInstance(mongo_client_factory_1.MongoClientFactory);
    const store = new mongodb_store_1.MongodbStore({
        model,
        primaryKey,
        db,
        collection,
        mongoClient: async () => await clientFactory.getClientFor(url, options),
    });
    (0, core_1.addStore)(injector, store);
};
exports.useMongoDb = useMongoDb;
//# sourceMappingURL=store-manager-helpers.js.map